Bug 1088426 - yast2-nfs-client still uses nfs4 and minorversion
yast2-nfs-client still uses nfs4 and minorversion
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Ancor Gonzalez Sosa
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-06 08:49 UTC by Ancor Gonzalez Sosa
Modified: 2019-04-15 12:18 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ancor Gonzalez Sosa 2018-04-06 08:49:10 UTC
yast2-nfs-client still uses nfs4 in the vfstype to specify a NFSv4 mount and the combination of nfs4 and minorversion=1 mntops to specify a NFSv4.1 mount.

Those legacy mechanisms stopped to work in Tumbleweed at some point in time (although the "man nfs" page didn't change) and will not longer work in SLE 15 / Leap 15. They are completely ignored so using them is equivalent to not specifying any version for the NFS protocol.

The YaST module should use the current way, which is using only the nfsvers mount option (or the vers one, which is an alias).
Comment 1 Ancor Gonzalez Sosa 2018-04-06 14:49:09 UTC
Already implemented when yast2-nfs-client is executed as an standalone module (e.g. from command line or the YaST control panel). See screenshots and details at https://github.com/yast/yast-nfs-client/pull/62

Everything included in yast2-nfs-client 4.0.5
https://build.opensuse.org/request/show/594013

The detection of legacy entries (second screenshot in the previous link) still does not work when yast2-nfs-client is executed embedded into the Partitioner. That's still a work in progress that must be done in the Partitioner side.
Comment 2 Ancor Gonzalez Sosa 2018-04-11 09:13:45 UTC
With yast2-storage-ng >= 4.0.152, yast2-nfs-client can also detect and correct legacy entries when running embedded in the partitioner. See SR
https://build.opensuse.org/request/show/595516

So the whole issue is fixed now.
Comment 3 Swamp Workflow Management 2018-06-05 15:11:00 UTC
This is an autogenerated message for OBS integration:
This bug (1088426) was mentioned in
https://build.opensuse.org/request/show/614328 15.0 / yast2-nfs-client